Subject: bug#35175: Cannot reconfigure

From: [email-masked]
Date: Sun, 07 Apr 2019 08:15:53 +0000

I think your guix files are old but your config needs new version.
Have you performed `guix pull && guix package -u` first?
If this line causes the errors too, try this way:
http://lists.gnu.org/archive/html/bug-guix/2018-09/msg00153.html
It helped me: just boot with another (may be the oldest) kernel and make updates with `guix pull && guix package -u`
And then try again. If not, post `guix describe` if it will be renewed.

April 6, 2019 9:26 PM, "Luther Thompson" <[email-masked] (mailto:[email-masked])> wrote:
 On Sat, 06 Apr 2019 20:44:45 +0000
[email-masked] (mailto:[email-masked]) wrote:
 This is not a bug, but your config is wrong here:

(file-systems
(cons
(file-system (device "my-root")
(mount-point "/")
(type "ext4")
(title 'label))
%base-file-systems))

Delete string `(title 'label)` and leave like this:

(file-systems
(cons
(file-system (device "my-root")
(mount-point "/")
(type "ext4"))
%base-file-systems))

And then try to reconfigure. 

I'm still getting the same error. The backtrace says the error happens
"In unknown file", so I suspect the problem is in an eval or macro
somewhere.

Luther